Package com.treemap

# Interface TreeMapNode<N extends TreeMapNode<N,Column,Color,Font>,Column,Color,Font>

All Known Subinterfaces:
  `MutableTreeMapNode<N,Column,Color,Font>`

All Known Implementing Classes:
  `AbstractTreeMapNode`, `LeafTreeMapNode`, `MyMutableTreeMapNode`, `ParentTreeMapNode`

public interface TreeMapNode<N extends TreeMapNode<N,Column,Color,Font>,Column,Color,Font>
Interface representing an object that can be placed in a treemap layout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.geom.Rectangle2D`
  `getBounds()`
  Gets the bounding rectangle of the item in the map.
  `TreeMapField<N,Column>`
  `getChildrenGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getColor()`
  `TreeMapField<N,Column>`
  `getGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `int`
  `getLevel()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `com.macrofocus.geom.Shape`
  `getNestedShape()`
  Gets the shape after nesting of the item in the map.
  `com.macrofocus.geom.Shape`
  `getShape()`
  Gets the shape of the item in the map.
  `double`
  `getSize()`
  Corresponds to area in map.
  `double`
  `getSumSize()`
  `boolean`
  `hasNoChildren()`
  Tells whether this node contains children.
  `boolean`
  `isLeaf()`

- ## Method Details

  - ### getColor

    com.macrofocus.igraphics.CPColor<Color> getColor()

  - ### getSize

    double getSize()
    Corresponds to area in map.
    Returns:
      the area

  - ### getSumSize

    double getSumSize()

  - ### getShape

    com.macrofocus.geom.Shape getShape()
    Gets the shape of the item in the map.
    Returns:
      the shape of the item in the map.

  - ### getNestedShape

    com.macrofocus.geom.Shape getNestedShape()
    Gets the shape after nesting of the item in the map.
    Returns:
      the shape of the item in the map.

  - ### getBounds

    com.macrofocus.geom.Rectangle2D getBounds()
    Gets the bounding rectangle of the item in the map.
    Returns:
      the bounding rectangle of the item in the map.

  - ### getLevel

    int getLevel()
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Returns:
      the number of levels above this node

  - ### getGroupByField

    TreeMapField<N,Column> getGroupByField()
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Returns:
      the number of levels above this node

  - ### getChildrenGroupByField

    TreeMapField<N,Column> getChildrenGroupByField()
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Returns:
      the number of levels above this node

  - ### hasNoChildren

    boolean hasNoChildren()
    Tells whether this node contains children.
    Returns:
      true if this node contains children, false otherwise

  - ### isLeaf

    boolean isLeaf()